Skip to Content
Occupations

Update Occupation

Acceso

Miembro de la organización con este permiso:

  • terrains:write

Una clave API con scopes también necesita el permiso entre sus scopes.

PATCH
/orgs/{organizationId}/occupations/{id}

Updates an existing occupation (type, rent period, price, description, paid until, invoiced until).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
occupationType?string
Value in"OWN_ACCOMMODATION""RENTAL_CARAVAN"
rentPeriod?|null
price?number|null
description?string|null
paidUntil?|null
invoicedUntil?|null
customFields?

Response Body

OK

application/json
  1. response
Example Request
curl -X PATCH 'https://api.tillor.eu/orgs//occupations/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null